#include <iostream>
using namespace std; 
int n; 
bool smaller(int x);
int find_number(int MAX){
        int l=1, r=MAX;
        while(l<r){
            int mid=(l+r+1)/2; 
            if(smaller(mid)) r=mid-1;
            else l=mid;
        } 
 return l;
}